ALTER TRIGGER "tib_ea_komb" BEFORE INSERT
ORDER 1 ON "DBA"."ea_komb"
referencing new as new_name
for each row
begin
  declare id1 integer;
  if(new_name."id" is null) or(new_name."id" = 0) then
    select getid_ea_komb(*) into id1 from DUMMY;
    set new_name."id"=id1
  end if;
end